clang-tools 10.0.0

Classes | Namespaces | Functions
MDGenerator.cpp File Reference
`#include "Generators.h"`
`#include "Representation.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/FileSystem.h"`
`#include "llvm/Support/Path.h"`
`#include <string>`
Include dependency graph for MDGenerator.cpp:

Go to the source code of this file.

## Classes
class | clang::doc::MDGenerator
| Generator for Markdown documentation. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::doc

## Functions
static std::string | clang::doc::genItalic (const Twine &Text)
static std::string | clang::doc::genEmphasis (const Twine &Text)
static std::string | clang::doc::genReferenceList (const llvm::SmallVectorImpl< Reference > &Refs)
static void | clang::doc::writeLine (const Twine &Text, raw_ostream &OS)
static void | clang::doc::writeNewLine (raw_ostream &OS)
static void | clang::doc::writeHeader (const Twine &Text, unsigned int Num, raw_ostream &OS)
static void | clang::doc::writeFileDefinition (const Location &L, raw_ostream &OS)
static void | clang::doc::writeDescription (const CommentInfo &I, raw_ostream &OS)
static void | clang::doc::genMarkdown (const EnumInfo &I, llvm::raw_ostream &OS)
static void | clang::doc::genMarkdown (const FunctionInfo &I, llvm::raw_ostream &OS)
static void | clang::doc::genMarkdown (const NamespaceInfo &I, llvm::raw_ostream &OS)
static void | clang::doc::genMarkdown (const RecordInfo &I, llvm::raw_ostream &OS)
static GeneratorRegistry::Add< MDGenerator > | clang::doc::MD (MDGenerator::Format, "Generator for MD output.")